## org.apache.poi.hwpf.usermodel
Enum PictureType

    java.lang.Object
      java.lang.Enum<PictureType>
          org.apache.poi.hwpf.usermodel.PictureType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PictureType>

    public enum PictureType

extends java.lang.Enum<PictureType>

Picture types supported by MS Word format

Author:
  Sergey Vladimirov (vlsergey {at} gmail {dot} com)

Enum Constant Summary
`BMP`
`EMF`
`GIF`
`JPEG`
`PICT`
`PNG`
`TIFF`
`UNKNOWN`
`WMF`

Method Summary
`static PictureType` `findMatchingType(byte[] pictureContent)`
`java.lang.String` `getExtension()`
`java.lang.String` `getMime()`
`byte[][]` `getSignatures()`
`boolean` `matchSignature(byte[] pictureData)`
`static PictureType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PictureType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BMP

    public static final PictureType BMP

### EMF

    public static final PictureType EMF

### GIF

    public static final PictureType GIF

### JPEG

    public static final PictureType JPEG

### PICT

    public static final PictureType PICT

### PNG

    public static final PictureType PNG

### TIFF

    public static final PictureType TIFF

### UNKNOWN

    public static final PictureType UNKNOWN

### WMF

    public static final PictureType WMF

Method Detail

### values

    public static PictureType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PictureType c : PictureType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PictureType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### findMatchingType

    public static PictureType findMatchingType(byte[] pictureContent)

### getExtension

    public java.lang.String getExtension()

### getMime

    public java.lang.String getMime()

### getSignatures

    public byte[][] getSignatures()

### matchSignature

    public boolean matchSignature(byte[] pictureData)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.